## workrave 1.10.54

=== build/cmake/CMakeLists.txt ===
if(WIN32)
  set(HAVE_LANGUAGE_SELECTION TRUE)
endif(WIN32)

set(ALL_LINGUAS "")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../../po/LINGUAS" pofile)
FOREACH(line ${pofile})
  if("${line}" MATCHES "^[a-zA-Z]")
    set(ALL_LINGUAS "${ALL_LINGUAS}${line} ")
  endif("${line}" MATCHES "^[a-zA-Z]")
ENDFOREACH(line)
#strip the trailing whitespace. earlier versions of cmake don't have string(STRIP
STRING(REGEX REPLACE  "[ ]+$" "" ALL_LINGUAS "${ALL_LINGUAS}" )
#message(STATUS "ALL_LINGUAS = ${ALL_LINGUAS}")

set(SOUND_THEMES subtle default)

# Set Workrave version
set(VERSION_MAJOR   "1")
set(VERSION_MINOR   "10")
set(VERSION_RELEASE "4")
set(VERSION_PATCH   "0")
if (VERSION_PATCH)
    set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}-${VERSION_PATCH}" )
    set(RESOURCE_VERSION "${VERSION_MAJOR},${VERSION_MINOR},${VERSION_RELEASE},${VERSION_PATCH}" )
else (VERSION_PATCH)
    set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}" )
    set(RESOURCE_VERSION "${VERSION_MAJOR},${VERSION_MINOR},${VERSION_RELEASE},0" )
endif (VERSION_PATCH)

# CMake
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2 FATAL_ERROR)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")

project(Workrave)

SET(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -DTRACING")

if(MSVC)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
  
  SET(MSVC_WARNINGS "/W3 /wd4127 /wd4250 /wd4413 /wd4800")
  
  SET(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   /FIconfig.h ${MSVC_WARNINGS}")
  SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /FIconfig.h ${MSVC_WARNINGS}")
endif(MSVC)

if(WIN32)
  set (CMAKE_DEBUG_POSTFIX "d")

  add_definitions( 
    -DWIN32
    -D_WINDOWS
    -D_WIN32_WINNT=0x0600
  ) 

endif(WIN32)
 

if (WIN32)
  set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/bin)
else (WIN32)
  set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/lib)
endif (WIN32)

set (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

# for including config.h and for includes like <dir/foo.h>
include_directories(${CMAKE_SOURCE_DIR}/.. ${CMAKE_BINARY_DIR} ${CMAKE_INCLUDE_PATH})

# linker search directories
link_directories(${LIBRARY_OUTPUT_PATH})
include_directories(${CMAKE_LIBRARY_PATH})

######################################################################
## Win32
######################################################################

if (WIN32)
  set(PLATFORM_OS_WINDOWS 1)
  if (MSVC)
    set(PLATFORM_OS_WINDOWS_NATIVE 1)
  endif (MSVC)
endif (WIN32)

######################################################################
## Options
######################################################################

option(DEVELOPMENT_MODE "Development" OFF)
if(DEVELOPMENT_MODE)
  set(DATA_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../)
endif(DEVELOPMENT_MODE)

option(FIND_DBUS "Find DBUS" ON)

######################################################################
## Find packages
######################################################################

include(FindGlib)
include(FindGtkmm)

if(FIND_DBUS)
include(FindDbus)
endif(FIND_DBUS)

include(FindGettext)
#include(FindGnet)

FIND_PROGRAM(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

if (NOT GETTEXT_FOUND)
  message("=== GetText not found - disabling i18n")
endif (NOT GETTEXT_FOUND)


set(HAVE_DBUS ${DBUS_FOUND})
if (HAVE_DBUS)
  include (FindPythonInterp)
  if (NOT PYTHONINTERP_FOUND)
    message("=== Python not found - disabling dbus")
    set (HAVE_DBUS FALSE)
  endif (NOT PYTHONINTERP_FOUND)
endif (HAVE_DBUS)

set(HAVE_GNET ${GNET_FOUND})
set (HAVE_DISTRIBUTION FALSE)
if (HAVE_GNET OR HAVE_GIO_NET)
  set (HAVE_DISTRIBUTION TRUE)
  set (HAVE_TESTS TRUE)
endif (HAVE_GNET OR HAVE_GIO_NET)

if (WIN32)
  FIND_PROGRAM(INTLTOOL_UPDATE_EXEC intltool-update)
  FIND_PROGRAM(INTLTOOL_MERGE_EXEC intltool-merge)
  include(FindPerl)

  if (NOT PERL_FOUND)
    message("=== Perl not found")
  else (NOT PERL_FOUND)
    if (INTLTOOL_MERGE_EXEC)
      set (INTLTOOL_MERGE_EXECUTABLE ${PERL_EXECUTABLE} ${INTLTOOL_MERGE_EXEC})
    endif(INTLTOOL_MERGE_EXEC)
    if (INTLTOOL_UPDATE_EXEC)
      set (INTLTOOL_UPDATE_EXECUTABLE ${PERL_EXECUTABLE} ${INTLTOOL_UPDATE_EXEC})
    endif(INTLTOOL_UPDATE_EXEC)
  endif (NOT PERL_FOUND)

  include(FindDirectX)
  if (NOT DIRECTX_FOUND)
    message(FATAL_ERROR "Could not find DirectX SDK")
  endif(NOT DIRECTX_FOUND)
  set(HAVE_DIRECTX ${DIRECTX_FOUND})

else (WIN32)
  FIND_PROGRAM(INTLTOOL_UPDATE_EXECUTABLE intltool-update)
  FIND_PROGRAM(INTLTOOL_MERGE_EXECUTABLE intltool-merge)
  MARK_AS_ADVANCED(INTLTOOL_UPDATE_EXECUTABLE)
endif (WIN32)

if (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)
  set (HAVE_EXERCISES TRUE)
else (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)
  message("=== Perl/Intltool not found - disabling exercises")
  set (HAVE_EXERCISES FALSE)
endif (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)


######################################################################
## Create config.h
######################################################################

if (MINGW)
  set (HAVE_GNUC_VARARGS 1)
endif(MINGW)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/workrave.rc.cmake ${CMAKE_CURRENT_BINARY_DIR}/workrave.rc )

# compiler definitions 
add_definitions(-DHAVE_CONFIG_H=1)

######################################################################
## Subdirectories
######################################################################

add_subdirectory(harpoon)
add_subdirectory(common)
add_subdirectory(backend)
add_subdirectory(frontend)

=== libs/dbus/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(test)

=== build/cmake/backend/CMakeLists.txt ===
project(Workrave)

SET(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)
SET(BACKEND_DIR ${CMAKE_SOURCE_DIR}/../../backend)

set(BACKEND_SOURCES 
  ${BACKEND_DIR}/include/CoreConfig.hh
  ${BACKEND_DIR}/include/CoreFactory.hh
  ${BACKEND_DIR}/include/IApp.hh
  ${BACKEND_DIR}/include/IBreak.hh
  ${BACKEND_DIR}/include/IBreakResponse.hh
  ${BACKEND_DIR}/include/IConfigurator.hh
  ${BACKEND_DIR}/include/IConfiguratorListener.hh
  ${BACKEND_DIR}/include/ICore.hh
  ${BACKEND_DIR}/include/ICoreEventListener.hh
  ${BACKEND_DIR}/include/IStatistics.hh
  ${BACKEND_DIR}/src/ActivityMonitor.cc
  ${BACKEND_DIR}/src/ActivityMonitor.hh
  ${BACKEND_DIR}/src/ActivityMonitorListener.hh
  ${BACKEND_DIR}/src/Break.cc
  ${BACKEND_DIR}/src/Break.hh
  ${BACKEND_DIR}/src/BreakControl.cc
  ${BACKEND_DIR}/src/BreakControl.hh
  ${BACKEND_DIR}/src/ConfigBackendAdapter.hh
  ${BACKEND_DIR}/src/Configurator.cc
  ${BACKEND_DIR}/src/Configurator.hh
  ${BACKEND_DIR}/src/ConfiguratorFactory.cc
  ${BACKEND_DIR}/src/ConfiguratorFactory.hh
  ${BACKEND_DIR}/src/Core.cc
  ${BACKEND_DIR}/src/Core.hh
  ${BACKEND_DIR}/src/CoreConfig.cc
  ${BACKEND_DIR}/src/CoreFactory.cc
  ${BACKEND_DIR}/src/DayTimePred.cc
  ${BACKEND_DIR}/src/DayTimePred.hh
  ${BACKEND_DIR}/src/GlibIniConfigurator.cc
  ${BACKEND_DIR}/src/GlibIniConfigurator.hh
  ${BACKEND_DIR}/src/IActivityMonitor.hh
  ${BACKEND_DIR}/src/IConfigBackend.hh
  ${BACKEND_DIR}/src/IDistributionClientMessage.hh
  ${BACKEND_DIR}/src/IInputMonitor.hh
  ${BACKEND_DIR}/src/IInputMonitorFactory.hh
  ${BACKEND_DIR}/src/IInputMonitorListener.hh
  ${BACKEND_DIR}/src/IdleLogManager.cc
  ${BACKEND_DIR}/src/IdleLogManager.hh
  ${BACKEND_DIR}/src/InputMonitor.cc
  ${BACKEND_DIR}/src/InputMonitor.hh
  ${BACKEND_DIR}/src/InputMonitor.icc
  ${BACKEND_DIR}/src/InputMonitorFactory.cc
  ${BACKEND_DIR}/src/InputMonitorFactory.hh
  ${BACKEND_DIR}/src/InputMonitorFactoryInterface.hh
  ${BACKEND_DIR}/src/PacketBuffer.cc
  ${BACKEND_DIR}/src/PacketBuffer.hh
  ${BACKEND_DIR}/src/Statistics.cc
  ${BACKEND_DIR}/src/Statistics.hh
  ${BACKEND_DIR}/src/TimePred.hh
  ${BACKEND_DIR}/src/TimePredFactory.cc
  ${BACKEND_DIR}/src/TimePredFactory.hh
  ${BACKEND_DIR}/src/TimeSource.hh
  ${BACKEND_DIR}/src/Timer.cc
  ${BACKEND_DIR}/src/Timer.hh
  ${BACKEND_DIR}/src/Timer.icc
  ${BACKEND_DIR}/src/TimerActivityMonitor.hh
  ${BACKEND_DIR}/src/Variant.hh
  )

if (APPLE)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/macos/MacOSConfigurator.cc
    ${BACKEND_DIR}/src/macos/MacOSConfigurator.hh
    ${BACKEND_DIR}/src/macos/MacOSInputMonitor.cc
    ${BACKEND_DIR}/src/macos/MacOSInputMonitor.hh
    ${BACKEND_DIR}/src/macos/MacOSInputMonitorFactory.cc
    ${BACKEND_DIR}/src/macos/MacOSInputMonitorFactory.hh
  )
endif (APPLE)
  
if (UNIX)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/unix/GConfConfigurator.cc
    ${BACKEND_DIR}/src/unix/GConfConfigurator.hh
    ${BACKEND_DIR}/src/unix/UnixInputMonitorFactory.cc
    ${BACKEND_DIR}/src/unix/UnixInputMonitorFactory.hh
    ${BACKEND_DIR}/src/unix/X11InputMonitor.cc
    ${BACKEND_DIR}/src/unix/X11InputMonitor.hh
    ${BACKEND_DIR}/src/unix/dummy.c
  )
endif (UNIX)

if (WIN32)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/win32/ghmac.c
    ${BACKEND_DIR}/src/win32/ghmac.h
    ${BACKEND_DIR}/src/win32/Harpoon.cc
    ${BACKEND_DIR}/include/Harpoon.hh
    ${BACKEND_DIR}/src/win32/W32ActiveSetup.cc
    ${BACKEND_DIR}/src/win32/W32ActiveSetup.hh
    ${BACKEND_DIR}/src/win32/W32AlternateMonitor.cc
    ${BACKEND_DIR}/src/win32/W32AlternateMonitor.hh
    ${BACKEND_DIR}/src/win32/W32Configurator.cc
    ${BACKEND_DIR}/src/win32/W32Configurator.hh
    ${BACKEND_DIR}/src/win32/W32InputMonitor.cc
    ${BACKEND_DIR}/src/win32/W32InputMonitor.hh
    ${BACKEND_DIR}/src/win32/W32InputMonitorFactory.cc
    ${BACKEND_DIR}/src/win32/W32InputMonitorFactory.hh
    ${BACKEND_DIR}/src/win32/W32LowLevelMonitor.cc
    ${BACKEND_DIR}/src/win32/W32LowLevelMonitor.hh
    )

  include_directories( 
    "${COMMON_DIR}/include/win32"
    "${COMMON_DIR}/win32/harpoon/include"
    "${COMMON_DIR}/win32/harpoonHelper/include"
    "${BACKEND_DIR}/src/win32"
  )

endif (WIN32)

if (HAVE_GDOME)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/XMLConfigurator.cc
    ${BACKEND_DIR}/src/XMLConfigurator.hh
  )
endif (HAVE_GDOME)

if (HAVE_DISTRIBUTION)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/include/DistributionLogListener.hh
    ${BACKEND_DIR}/include/IDistributionManager.hh
    ${BACKEND_DIR}/src/DistributionLink.hh
    ${BACKEND_DIR}/src/DistributionListener.hh
    ${BACKEND_DIR}/src/DistributionManager.cc
    ${BACKEND_DIR}/src/DistributionManager.hh
    ${BACKEND_DIR}/src/DistributionSocketLink.cc
    ${BACKEND_DIR}/src/DistributionSocketLink.hh
    ${BACKEND_DIR}/src/FakeActivityMonitor.hh
    ${BACKEND_DIR}/src/GNetSocketDriver.cc
    ${BACKEND_DIR}/src/GNetSocketDriver.hh
    ${BACKEND_DIR}/src/GIOSocketDriver.cc
    ${BACKEND_DIR}/src/GIOSocketDriver.hh
    ${BACKEND_DIR}/src/SocketDriver.hh
    ${BACKEND_DIR}/src/SocketDriver.icc
    ${BACKEND_DIR}/src/SocketDriver.cc
    ${BACKEND_DIR}/src/Test.cc
    ${BACKEND_DIR}/src/Test.hh
  )
endif(HAVE_DISTRIBUTION)

if (HAVE_DBUS)
  add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/DBusWorkrave.cc
	COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../../common/bin/dbusgen.py -l C++ -s ${BACKEND_DIR}/src/workrave-service.xml DBusWorkrave
	DEPENDS ${BACKEND_DIR}/src/workrave-service.xml
  )
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${CMAKE_CURRENT_BINARY_DIR}/DBusWorkrave.cc
  )
  include_directories(${DBUS_INCLUDES})
endif (HAVE_DBUS)
    

include_directories( 
  "${COMMON_DIR}/include"
  "${BACKEND_DIR}/include"
  "${BACKEND_DIR}/src"
)


include_directories(${GLIB_INCLUDES})
if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(workrave-backend STATIC ${BACKEND_SOURCES})

=== build/cmake/frontend/CMakeLists.txt ===
project(Workrave)

set(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)
set(BACKEND_DIR ${CMAKE_SOURCE_DIR}/../../backend)
set(FRONTEND_DIR ${CMAKE_SOURCE_DIR}/../../frontend)

######################################################################
## Workrave
######################################################################

set(FRONTEND_SOURCES 
    ${FRONTEND_DIR}/common/include/ISoundDriver.hh
    ${FRONTEND_DIR}/common/include/ITimeBar.hh
    ${FRONTEND_DIR}/common/include/ITimerBoxView.hh
    ${FRONTEND_DIR}/common/include/Orientation.hh
    ${FRONTEND_DIR}/common/include/Sound.hh
    ${FRONTEND_DIR}/common/include/SoundPlayer.hh
    ${FRONTEND_DIR}/common/include/System.hh
    ${FRONTEND_DIR}/common/include/Text.hh
    ${FRONTEND_DIR}/common/include/TimerBoxControl.hh
    ${FRONTEND_DIR}/common/include/credits.h
    ${FRONTEND_DIR}/common/src/GstSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/GstSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/SoundPlayer.cc
    ${FRONTEND_DIR}/common/src/System.cc
    ${FRONTEND_DIR}/common/src/Text.cc
    ${FRONTEND_DIR}/common/src/TimerBoxControl.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletControl.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletControl.hh
    ${FRONTEND_DIR}/gtkmm/src/AppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/BreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/BreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/DailyLimitWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/DailyLimitWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/DataConnector.cc
    ${FRONTEND_DIR}/gtkmm/src/DataConnector.hh
    ${FRONTEND_DIR}/gtkmm/src/EventButton.cc
    ${FRONTEND_DIR}/gtkmm/src/EventButton.hh
    ${FRONTEND_DIR}/gtkmm/src/EventImage.cc
    ${FRONTEND_DIR}/gtkmm/src/EventImage.hh
    ${FRONTEND_DIR}/gtkmm/src/EventLabel.cc
    ${FRONTEND_DIR}/gtkmm/src/EventLabel.hh
    ${FRONTEND_DIR}/gtkmm/src/Frame.cc
    ${FRONTEND_DIR}/gtkmm/src/Frame.hh
    ${FRONTEND_DIR}/gtkmm/src/GUI.cc
    ${FRONTEND_DIR}/gtkmm/src/GUI.hh
    ${FRONTEND_DIR}/gtkmm/src/GUIConfig.cc
    ${FRONTEND_DIR}/gtkmm/src/GUIConfig.hh
    ${FRONTEND_DIR}/gtkmm/src/GtkUtil.cc
    ${FRONTEND_DIR}/gtkmm/src/GtkUtil.hh
    ${FRONTEND_DIR}/gtkmm/src/HeadInfo.cc
    ${FRONTEND_DIR}/gtkmm/src/HeadInfo.hh
    ${FRONTEND_DIR}/gtkmm/src/Hig.cc
    ${FRONTEND_DIR}/gtkmm/src/Hig.hh
    ${FRONTEND_DIR}/gtkmm/src/IBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IPreludeWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IconListCellRenderer.cc
    ${FRONTEND_DIR}/gtkmm/src/IconListCellRenderer.hh
    ${FRONTEND_DIR}/gtkmm/src/IconListNotebook.cc
    ${FRONTEND_DIR}/gtkmm/src/IconListNotebook.hh
    ${FRONTEND_DIR}/gtkmm/src/MainGtkMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/MainGtkMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/MainWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/MainWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/Menus.cc
    ${FRONTEND_DIR}/gtkmm/src/Menus.hh
    ${FRONTEND_DIR}/gtkmm/src/MicroBreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/MicroBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/PreferencesDialog.cc
    ${FRONTEND_DIR}/gtkmm/src/PreferencesDialog.hh
    ${FRONTEND_DIR}/gtkmm/src/PreludeWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/PreludeWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/RestBreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/RestBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/StatusIcon.cc
    ${FRONTEND_DIR}/gtkmm/src/StatusIcon.hh
    ${FRONTEND_DIR}/gtkmm/src/Session.cc
    ${FRONTEND_DIR}/gtkmm/src/Session.hh
    ${FRONTEND_DIR}/gtkmm/src/TimeBar.cc
    ${FRONTEND_DIR}/gtkmm/src/TimeBar.hh
    ${FRONTEND_DIR}/gtkmm/src/TimeEntry.cc
    ${FRONTEND_DIR}/gtkmm/src/TimeEntry.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxGtkView.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxGtkView.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxPreferencePage.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxPreferencePage.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerPreferencesPanel.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerPreferencesPanel.hh
    ${FRONTEND_DIR}/gtkmm/src/WindowHints.cc
    ${FRONTEND_DIR}/gtkmm/src/WindowHints.hh
    ${FRONTEND_DIR}/gtkmm/src/macros.h
    ${FRONTEND_DIR}/gtkmm/src/main.cc
    ${FRONTEND_DIR}/gtkmm/src/preinclude.h
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkJoinDialog.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkJoinDialog.hh
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkLogDialog.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkLogDialog.hh
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkPreferencePage.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkPreferencePage.hh
    ${FRONTEND_DIR}/plugin/statistics/gtkmm/src/StatisticsDialog.cc
    ${FRONTEND_DIR}/plugin/statistics/gtkmm/src/StatisticsDialog.hh
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient.c
  )

if (APPLE)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/macos/MacOSSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/macos/MacOSSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/macos/Sound.cc
    ${FRONTEND_DIR}/gtkmm/src/macos/AppController.h
    ${FRONTEND_DIR}/gtkmm/src/macos/MacOSGtkMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/macos/MacOSGtkMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/macos/MacOSUtil.cc
    ${FRONTEND_DIR}/gtkmm/src/macos/MacOSUtil.hh
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-macos.c
  )
endif (APPLE)
  
if (UNIX)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/x11/Sound.cc
    ${FRONTEND_DIR}/gtkmm/src/X11SystrayAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/X11SystrayAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/unix/desktop-window.c
    ${FRONTEND_DIR}/gtkmm/src/unix/desktop-window.h
    ${FRONTEND_DIR}/gtkmm/src/gtktrayicon.c
    ${FRONTEND_DIR}/gtkmm/src/gtktrayicon.h
    ${FRONTEND_DIR}/gtkmm/src/eggdesktopfile.c
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-xsmp.c
  )
 add_definitions(-DEGG_SM_CLIENT_BACKEND_XSMP)
endif (UNIX)

if (WIN32)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/win32/W32DirectSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/win32/W32DirectSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/win32/W32Mixer.cc
    ${FRONTEND_DIR}/common/src/win32/W32Mixer.hh
    ${FRONTEND_DIR}/common/src/win32/Sound.cc
    ${FRONTEND_DIR}/common/src/win32/W32LockScreen.cc
    ${FRONTEND_DIR}/common/src/win32/W32LockScreen.hh
    ${FRONTEND_DIR}/common/src/win32/W32Shutdown.cc
    ${FRONTEND_DIR}/common/src/win32/W32Shutdown.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/DesktopWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/DesktopWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32ForceFocus.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32ForceFocus.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32StatusIcon.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32StatusIcon.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/dll_hell.c
    ${FRONTEND_DIR}/gtkmm/src/win32/dll_hell.h
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-win32.c
    ${CMAKE_BINARY_DIR}/workrave.rc
    )

    # ${FRONTEND_DIR}/common/src/win32/Sound.cc
    
  include_directories( 
    "${BACKEND_DIR}/src/win32"
    "${COMMON_DIR}/include/win32"
    "${COMMON_DIR}/win32/harpoon/include"
    "${FRONTEND_DIR}/common/src/win32"
    "${FRONTEND_DIR}/gtkmm/src/win32"
    "${FRONTEND_DIR}/applets/win32/include"
  )

  #ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #                      COMMAND windres.exe
  #                          -o ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #                          -i ${CMAKE_CURRENT_BINARY_DIR}/workrave.rc
  #		         DEPENDS workrave.rc			    
  #                      )
  #	
  #set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
  #  ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #)
  
endif (WIN32)

if (HAVE_GNOME)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/gnome/GnomeSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/gnome/GnomeSoundPlayer.hh
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/gnome_applet/WorkraveApplet.c
    ${FRONTEND_DIR}/gtkmm/src/gnome_applet/WorkraveApplet.h
  )
endif (HAVE_GNOME)

if (HAVE_KDE)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/kde/KdeSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/kde/KdeSoundPlayer.hh
    ${FRONTEND_DIR}/gtkmm/src/KdeAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/KdeAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/KdeWorkraveControl.cc
    ${FRONTEND_DIR}/gtkmm/src/KdeWorkraveControl.hh
    ${FRONTEND_DIR}/gtkmm/src/kde_applet/kworkraveapplet.h
    ${FRONTEND_DIR}/gtkmm/src/kde_applet/kworkravecontroliface.h
  )
endif(HAVE_KDE)

if (HAVE_DBUS)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/DBusGUI.cc
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../../common/bin/dbusgen.py -l C++ -s ${FRONTEND_DIR}/gtkmm/src/workrave-gui.xml DBusGUI
  )
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${CMAKE_CURRENT_BINARY_DIR}/DBusGUI.cc
  )
  if (UNIX)
    set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
      ${FRONTEND_DIR}/gtkmm/src/eggsmclient-dbus.c
     )
  endif(UNIX)
  include_directories(${DBUS_INCLUDES})
  add_definitions(-DEGG_SM_CLIENT_BACKEND_DBUS)
endif (HAVE_DBUS)

if (HAVE_EXERCISES)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/plugin/exercises/common/src/Exercise.cc
    ${FRONTEND_DIR}/plugin/exercises/common/src/Exercise.hh
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesDialog.cc
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesDialog.hh
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesPanel.cc
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesPanel.hh
  )
endif (HAVE_EXERCISES)

include_directories( 
  ${COMMON_DIR}/include
  ${BACKEND_DIR}/include
  ${FRONTEND_DIR}/include
  ${FRONTEND_DIR}/common/include
  ${FRONTEND_DIR}/gtkmm/src
  ${FRONTEND_DIR}/plugin/distribution/gtkmm/src
  ${FRONTEND_DIR}/plugin/exercises/common/src
  ${FRONTEND_DIR}/plugin/exercises/gtkmm/src
  ${FRONTEND_DIR}/plugin/statistics/gtkmm/src
  )
  
include_directories(${GTKMM_INCLUDES})
if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
if (HAVE_DIRECTX)
  include_directories(${DIRECTX_INCLUDES})
endif(HAVE_DIRECTX)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if (HAVE_DIRECTX)
   link_directories(${DIRECTX_LIBS})
endif(HAVE_DIRECTX)

add_executable(workrave WIN32 ${FRONTEND_SOURCES})

target_link_libraries(workrave workrave-common)
target_link_libraries(workrave workrave-backend)
target_link_libraries(workrave ${GTKMM_LIBS})

if (HAVE_DBUS)
  target_link_libraries(workrave ${DBUS_LIBS})
endif(HAVE_DBUS)

if (HAVE_GNET)
  target_link_libraries(workrave ${GNET_LIBS})
endif(HAVE_GNET)

if (HAVE_DIRECTX)
   target_link_libraries(workrave dxerr dsound dxguid)
endif(HAVE_DIRECTX)

if (WIN32)
  target_link_libraries(workrave harpoon)
  target_link_libraries(workrave winmm shlwapi kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid odbc32 odbccp32 wtsapi32)
endif(WIN32)

######################################################################
## Exercises
######################################################################

if (HAVE_EXERCISES)
  file(GLOB PO_FILES ${CMAKE_SOURCE_DIR}/../../po/*.po) 

  add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/exercises.xml

=== build/win32/tinderbox/Makefile ===
######################################################################
# Defines
######################################################################
BUILD_DATE=`date +"%Y%m%d"`

#GIT_URL=git@github.com:rcaelers/workrave.git

GIT_URL=https://github.com/rcaelers/workrave.git

TINDERBOX_HOME=${HOME}/src/tinderbox
TINDERBOX_SNAPSHOTS_DIR=${TINDERBOX_HOME}/snapshots
TINDERBOX_BIN_DIR=${TINDERBOX_SNAPSHOTS_DIR}/${BUILD_DATE}

WIN32_MAKERUNTIME=${TINDERBOX_HOME}/bin/make-runtime.sh
WIN32_MINGW_ENV=${TINDERBOX_HOME}/bin/mingw32
WIN32_ISCC=${HOME}/.wine/drive_c/Program Files/Inno Setup 5/ISCC.exe

WORKRAVE_GIT_DIR=${TINDERBOX_HOME}/workrave
CONF_FLAGS = --quiet

WORKRAVE_GIT_BRANCH_PREFIX=origin
WORKRAVE_GIT_BRANCH=branch_v1_10
WORKRAVE_TAG=v1_10

WORKRAVE_LONG_GIT_VERSION=`( cd ${WORKRAVE_GIT_DIR} ; git describe --tags --abbrev=10 --dirty 2>/dev/null )`
WORKRAVE_GIT_VERSION=`( cd ${WORKRAVE_GIT_DIR} ; git describe --tags --abbrev=10 --dirty 2>/dev/null | sed -e 's/-g.*//' )`
WORKRAVE_VERSION=`cat ${WORKRAVE_GIT_DIR}/configure.ac | grep AM_INIT_AUTOMAKE | cut -d ','  -f2 | cut -d' ' -f2 | cut -d')' -f1`
#WORKRAVE_PREVERSION=`cat ${WORKRAVE_GIT_DIR}/configure.ac | grep AM_INIT_AUTOMAKE | perl -ne ' $$_ =~ /.*([0-9]+).([0-9]+).([0-9]+)/ ; printf "%d.%d.%d.99", $$1, $$2, ($$3 - 1) '`

#export TINDERBOX_BUILD=yes

unix2dos=perl -e 'while (<>) { s/$$/\r/; print; }'

######################################################################
# Miscellaneous
######################################################################

usage:
	@echo Usage: "make all" to make all files from scratch

all: setup git-setup workrave-win32-all

debug: workrave-win32-debug-setup

init: 
	mkdir -p ${TINDERBOX_BIN_DIR}
	( cd `dirname ${WORKRAVE_GIT_DIR}`; git clone ${GIT_URL} ${WORKRAVE_GIT_DIR} )


setup:
	( cd ${WORKRAVE_GIT_DIR}; \
	  mkdir -p ${TINDERBOX_BIN_DIR}; \
          git clean -fdx; \
)

######################################################################
# GIT
######################################################################

git-setup:
	( cd ${WORKRAVE_GIT_DIR}; \
          git clean -fdx; \
          git checkout ${WORKRAVE_GIT_BRANCH}; \
	  git reset --hard HEAD; \
	  git pull; )


git-mkbranch:
	( cd ${WORKRAVE_GIT_DIR}; \
	git branch --track ${WORKRAVE_GIT_BRANCH} ${WORKRAVE_GIT_BRANCH_PREFIX}/${WORKRAVE_GIT_BRANCH}; )


######################################################################
# Windows
######################################################################

workrave-win32-dir=\
	( cd ${1}; \
          git clean -fdx; \
	  cd ${1}/frontend/gtkmm/win32/setup/; \
	  ${WIN32_MAKERUNTIME} ${WORKRAVE_GIT_DIR}; )

workrave-win32-build-original=\
	( . ${HOME}/bin/vcvars32.sh; \
          cd ${1}/common/win32/harpoon/src; \
          mkdir Release; \
	  ${WIN32_NMAKE} /f harpoon.mak CFG="harpoon - Win32 Release"; \
          cd ${1}/applets/frontend/win32/src; \
          mkdir Release; \
          ${WIN32_NMAKE} /f Applet.mak CFG="Applet - Win32 Release" ); \
	( cd ${1}; \
	  . ${WIN32_MINGW_ENV}; \
	  bash ./build/win32/autogencross.sh ${CONF_FLAGS} ${2} && make ; \
	   $$TARGET-nm -nosC --line-numbers ${1}/frontend/gtkmm/src/workrave.exe >${1}/frontend/gtkmm/src/workrave.sym )

workrave-win32-build=\
	( cd ${1}/common/win32/harpoonHelper/src; \
          mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/harpoonHelper.exe Release; \
	  cd ${1}/common/win32/harpoon/src; \
          mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}/harpoon.dll Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/harpoon64.dll Release; \
          cd ${1}/frontend/applets/win32/src; \
          mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}/workrave-applet.dll Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/workrave-applet.dll Release/workrave-applet64.dll ); \
	( cd ${1}; \
	  . ${WIN32_MINGW_ENV}; \
	  bash ./build/win32/autogencross.sh ${CONF_FLAGS} ${2} && make ; \
	  cp -a ${1}/frontend/gtkmm/src/.libs/workrave.exe ${1}/frontend/gtkmm/src; \
	  $$TARGET-nm -nosC --line-numbers ${1}/frontend/gtkmm/src/workrave.exe >${1}/frontend/gtkmm/src/workrave.sym)

# $$TARGET-objdump -D --line-numbers ${1}/frontend/gtkmm/src/workrave.exe >${1}/frontend/gtkmm/src/workrave.debugsym )

workrave-win32-strip=\
	(  . ${WIN32_MINGW_ENV}; \
	$$TARGET-strip ${1}/frontend/gtkmm/src/workrave.exe )

workrave-win32-setup=\
	( cd ${1}/frontend/gtkmm/win32/setup/; \
	  unix2dos setup.iss; \
	  wine "${WIN32_ISCC}" setup.iss ); \
	( cd ${WORKRAVE_GIT_DIR}; \
	  git status; ); \
	  mv ${1}/frontend/gtkmm/win32/setup/Output/setup.exe ${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-${2}.exe; \
	  bzip2 -c ${1}/frontend/gtkmm/src/workrave.sym >${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-${2}.sym.bz2;

## bzip2 -c ${1}/frontend/gtkmm/src/workrave.debugsym >${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-${2}.debugsym.bz2


workrave-win32-release-dir: 
	$(call workrave-win32-dir,${WORKRAVE_GIT_DIR})

workrave-win32-release-build: workrave-win32-release-dir
	$(call workrave-win32-build,${WORKRAVE_GIT_DIR},--disable-debug,Release)
	$(call workrave-win32-strip,${WORKRAVE_GIT_DIR})

workrave-win32-release-setup: workrave-win32-release-build
	$(call workrave-win32-setup,${WORKRAVE_GIT_DIR},installer)

workrave-win32-debug-dir: 
	$(call workrave-win32-dir,${WORKRAVE_GIT_DIR})

workrave-win32-debug-build: workrave-win32-debug-dir
	$(call workrave-win32-build,${WORKRAVE_GIT_DIR},--enable-debug --enable-tracing,Debug)

workrave-win32-debug-setup: workrave-win32-debug-build
	$(call workrave-win32-setup,${WORKRAVE_GIT_DIR},debug-installer)
	( cd ${WORKRAVE_GIT_DIR}/frontend/gtkmm/src; \
	  zip ${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-debug.zip workrave.exe )

workrave-win32-all: \
		workrave-win32-release-setup \
		workrave-win32-debug-setup 

######################################################################
# Source
######################################################################

workrave-source: 
	( cd ${WORKRAVE_GIT_DIR}; \
	  ./autogen.sh --disable-gnome \
	  && make dist \
	  && mv ${WORKRAVE_GIT_DIR}/workrave-${WORKRAVE_VERSION}.tar.gz ${TINDERBOX_BIN_DIR}/workrave-src-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}.tar.gz )


######################################################################
# Debian
######################################################################

workrave-deb: 
	chmod u+x ${WORKRAVE_GIT_DIR}/debian/rules
	( cd ${WORKRAVE_GIT_DIR}; \
	  dch --ignore-dirname -v ${WORKRAVE_VERSION}+git${BUILD_DATE}-1 "Nighly snapshot"; \
	  ./autogen.sh \
          && dpkg-buildpackage -rfakeroot )
	mv ${WORKRAVE_GIT_DIR}/../workrave_*_i386.deb ${TINDERBOX_BIN_DIR}/

## workrave-${BUILD_DATE}_i386.deb

######################################################################
# Upload
######################################################################
upload-purge:
	for i in `find ${TINDERBOX_SNAPSHOTS_DIR} -type d -mtime +5 -print`; \
	do \
		echo Purging old snapshot: $$i; \
		rm -rf $$i; \
	done

#upload-sf:
#	( cd ${TINDERBOX_SNAPSHOTS_DIR} ; \
#          rsync -rv --delete --rsh="ssh -i/home/robc/.ssh/miss_workrave_id_dsa -l miss-workrave,workrave" . miss-workrave,workrave@shell.sourceforge.net:/home/users/m/mi/miss-workrave/public_html/download/snapshots )
#
#shell-sf:
#	ssh -i/home/robc/.ssh/miss_workrave_id_dsa -t miss-workrave,workrave@shell.sourceforge.net create < /dev/null

upload:
	( cd ${TINDERBOX_SNAPSHOTS_DIR} ; \
          rsync -rv --delete --rsh=ssh . workrave@liberator.krandor.org:/home/workrave/public_html )

#	sitecopy --update snapshots

=== libs/dbus/test/CMakeLists.txt ===
if (HAVE_DBUS AND HAVE_QT AND HAVE_TESTS)

  dbus_generate_source(${CMAKE_CURRENT_SOURCE_DIR}/test.xml ${CMAKE_CURRENT_BINARY_DIR} DBusTestQt qt)
  dbus_generate_xml(${CMAKE_CURRENT_SOURCE_DIR}/test.xml ${CMAKE_CURRENT_BINARY_DIR} DBusTestQt qt)
  dbus_generate_source(${CMAKE_CURRENT_SOURCE_DIR}/test.xml ${CMAKE_CURRENT_BINARY_DIR} DBusTestGio gio)

  set(SERVER_QT_SRC ${SERVER_QT_SRC}
    DBusTestData.cc
    DBusTestServer.cc
    DBusTestServerQt.cc
    DBusTestQt.cc
    )

  qt_wrap_cpp(MOC_SRC
    Test.hh
  )

  set(TEST_SRC ${TEST_SRC} ${MOC_SRC}
    DBusTestData.cc
    Test.cc
    )

  add_executable(workrave-libs-dbus-test ${TEST_SRC})
  add_executable(workrave-libs-dbus-test-server-qt ${SERVER_QT_SRC})
  set_target_properties(workrave-libs-dbus-test-server-qt PROPERTIES COMPILE_DEFINITIONS "DBUS_BACKEND_QT=1")
  set_target_properties(workrave-libs-dbus-test PROPERTIES COMPILE_DEFINITIONS "DBUS_BACKEND_QT=1")

  include_directories(
    ${CMAKE_SOURCE_DIR}/libs/dbus/src
    ${CMAKE_SOURCE_DIR}/libs/dbus/include
    ${CMAKE_SOURCE_DIR}/libs/utils/include
    )

  if (HAVE_DBUS_FREEDESKTOP)
    target_link_libraries(workrave-libs-dbus-test-server-qt ${DBUS_LIBRARIES})
  endif()

  target_link_libraries(workrave-libs-dbus-test workrave-libs-dbus)
  target_link_libraries(workrave-libs-dbus-test workrave-libs-utils)
  target_link_libraries(workrave-libs-dbus-test Qt${QT_VERSION_MAJOR}::DBus)
  target_link_libraries(workrave-libs-dbus-test ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

  target_link_libraries(workrave-libs-dbus-test-server-qt workrave-libs-dbus)
  target_link_libraries(workrave-libs-dbus-test-server-qt workrave-libs-utils)
  target_link_libraries(workrave-libs-dbus-test-server-qt Qt${QT_VERSION_MAJOR}::DBus)
  target_link_libraries(workrave-libs-dbus-test-server-qt ${Boost_LIBRARIES})

  if (HAVE_DBUS_TEST_GIO)

    set(SERVER_GIO_SRC ${SERVER_GIO_SRC}
      DBusTestData.cc
      DBusTestServer.cc
      DBusTestServerGio.cc
      DBusTestGio.cc
      )

    add_executable(workrave-libs-dbus-test-server-gio ${SERVER_GIO_SRC})

    set_target_properties(workrave-libs-dbus-test-server-gio PROPERTIES COMPILE_DEFINITIONS "DBUS_BACKEND_GIO=1")
    set_target_properties(workrave-libs-dbus-test-server-gio PROPERTIES COMPILE_DEFINITIONS "HAVE_DBUS_GIO=1")
    include_directories(${GLIB_INCLUDE_DIRS})

    target_link_libraries(workrave-libs-dbus-test-server-gio workrave-libs-dbus)
    target_link_libraries(workrave-libs-dbus-test-server-gio workrave-libs-utils)
    target_link_libraries(workrave-libs-dbus-test-server-gio ${GLIB_LIBRARIES})
    target_link_libraries(workrave-libs-dbus-test-server-gio ${Boost_LIBRARIES})
  endif()
endif()

=== debian/changelog ===
workrave (1.10.54-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unnecessary Depends: libgirepository1.0-dev
  * Remove obsolete Pre-Depends

  [ Francois Marier ]
  * Add debian/salsa-ci.yml

 -- Francois Marier <francois@debian.org>  Fri, 24 Oct 2025 11:03:06 -0700

workrave (1.10.54-1) unstable; urgency=medium

  [ Francois Marier ]
  * New upstream version 1.10.54 (fixes: #1115529)
  * Add new build dependency
  * Keep debian/files out of git
  * Re-enable pristine-tar
  * Re-run `wrap-and-sort -ast`
  * Remove unnecessary "Rules-Require-Root: no" from debian/control

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Francois Marier <francois@debian.org>  Sat, 18 Oct 2025 14:18:34 -0700

=== debian/control ===
Source: workrave
Section: gnome
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 docbook-utils,
 gobject-introspection,
 gsettings-desktop-schemas-dev,
 intltool,
 libayatana-indicator3-dev,
 libboost-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-dev,
 libgdome2-dev,
 libglib2.0-0t64,
 libglibmm-2.4-dev,
 libgnome-panel-dev (>= 3.37.1),
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgtk-layer-shell-dev,
 libgtkmm-3.0-dev,
 libmate-panel-applet-dev,
 libpulse-dev,
 libsigc++-2.0-dev,
 libxfce4panel-2.0-dev,
 libxfce4ui-2-dev,
 libxi-dev,
 libxmu-dev,
 libxss-dev,
 libxtst-dev,
 python3-jinja2,
 xmlto,
Standards-Version: 4.7.2
Homepage: https://workrave.org/
Vcs-Git: https://salsa.debian.org/debian/workrave.git
Vcs-Browser: https://salsa.debian.org/debian/workrave

Package: workrave-ayatana
Architecture: any
Depends:
 workrave (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Repetitive Strain Injury prevention tool (Ayatana Indicator)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave Ayatana Indicator for desktop
 environments that are capable of displaying them.

Package: workrave-cinnamon
Architecture: all
Depends:
 cinnamon-core,
 workrave (>= ${source:Version}),
 ${misc:Depends},
Description: Repetitive Strain Injury prevention tool (Cinnamon integration)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave extension for Cinnamon.

Package: workrave-gnome
Architecture: all
Depends:
 gnome-shell (<< ${gnome:MaximumVersion}~),
 gnome-shell (>= ${gnome:MinimumVersion}~),
 workrave (>= ${source:Version}),
 ${misc:Depends},
Description: Repetitive Strain Injury prevention tool (GNOME integration)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave GNOME Shell extension.

Package: workrave-gnome-flashback
Architecture: any
Depends:
 gnome-panel,
 workrave (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Repetitive Strain Injury prevention tool (GNOME panel applet)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave applet for GNOME Flashback.

Package: workrave-mate
Architecture: any
Depends:
 mate-panel,
 workrave (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Repetitive Strain Injury prevention tool (MATE panel applet)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave applet for the MATE panel.

Package: workrave-xfce4
Architecture: any
Depends:
 workrave (>= ${binary:Version}),
 xfce4-panel,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave plugin for the Xfce4 panel.

Package: workrave
Architecture: any
Depends:
 workrave-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 workrave-data (<< 1.10.51.1-4),
Replaces:
 workrave-data (<< 1.10.51.1-4),
Suggests:
 workrave-ayatana,
 workrave-cinnamon,
 workrave-gnome,
 workrave-gnome-flashback,
 workrave-mate,
 workrave-xfce4,
Description: Repetitive Strain Injury prevention tool
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.

Package: workrave-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Repetitive Strain Injury prevention tool (data files)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package contains the required data files common to all architectures.

=== debian/watch ===
version=4
opts="\
    uversionmangle=s/_/./g,\
    filenamemangle=s/v([0-9_]+)\.tar\.gz$/@PACKAGE@-$1.tar.gz/;s/_/./g" \
https://github.com/rcaelers/@PACKAGE@/tags /rcaelers/@PACKAGE@/archive/refs/tags/v([0-9_]+).tar.gz
